# studio::LayerParamTreeStore Class Reference

`#include <layerparamtreestore.h>`

Inheritance diagram for studio::LayerParamTreeStore:

List of all members.

## Public Types

typedef std::list < synfig::Layer::Handle > | LayerList

## Public Member Functions

| LayerParamTreeStore (etl::loose_handle< synfigapp::CanvasInterface > canvas_interface_, LayerTree *layer_tree)
| ~LayerParamTreeStore ()
void | rebuild ()
void | refresh ()
void | queue_refresh ()
void | queue_rebuild ()
void | refresh_row (Gtk::TreeModel::Row &row)
sigc::signal< void > & | signal_changed ()
void | changed ()

## Static Public Member Functions

static Glib::RefPtr < LayerParamTreeStore > | create (etl::loose_handle< synfigapp::CanvasInterface > canvas_interface_, LayerTree *layer_tree)

## Public Attributes

Model | model

## Protected Member Functions

virtual void | get_value_vfunc (const Gtk::TreeModel::iterator &iter, int column, Glib::ValueBase &value) const
virtual void | set_value_impl (const Gtk::TreeModel::iterator &row, int column, const Glib::ValueBase &value)
virtual void | set_row (Gtk::TreeRow row, synfigapp::ValueDesc value_desc)

## Classes

class | Model
| TreeModel for the layer parameters. More...

## Member Typedef Documentation

typedef std::list<synfig::Layer::Handle> studio::LayerParamTreeStore::LayerList

## Constructor & Destructor Documentation

LayerParamTreeStore::LayerParamTreeStore | ( | etl::loose_handle< synfigapp::CanvasInterface > | canvas_interface_,
|  | LayerTree * | layer_tree |
| ) |  |  |

References studio::CanvasTreeStore::canvas_interface(), studio::LayerTree::get_selection(), queue_rebuild(), queue_refresh(), rebuild(), and signal_changed().

Referenced by create().

LayerParamTreeStore::~LayerParamTreeStore | ( |  | ) |

## Member Function Documentation

void LayerParamTreeStore::get_value_vfunc | ( | const Gtk::TreeModel::iterator & | iter,
|  | int | column,
|  | Glib::ValueBase & | value |
| ) |  |  | const`[protected, virtual]`

Reimplemented from studio::CanvasTreeStore.

References synfigapp::ValueDesc::get_value_node(), studio::CanvasTreeStore::get_value_vfunc(), studio::LayerParamTreeStore::Model::is_inconsistent, studio::LayerParamTreeStore::Model::is_toplevel, synfigapp::ValueDesc::is_value_node(), studio::CanvasTreeStore::Model::label, model, studio::LayerParamTreeStore::Model::param_desc, and studio::CanvasTreeStore::Model::value_desc.

void LayerParamTreeStore::set_value_impl | ( | const Gtk::TreeModel::iterator & | row,
|  | int | column,
|  | const Glib::ValueBase & | value |
| ) |  |  | `[protected, virtual]`

References _, synfigapp::Action::PassiveGrouper::cancel(), studio::CanvasTreeStore::canvas_interface(), studio::App::dialog_error_blocking(), studio::LayerParamTreeStore::Model::is_toplevel, model, studio::LayerParamTreeStore::Model::param_desc, studio::CanvasTreeStore::Model::value, and studio::CanvasTreeStore::Model::value_desc.

void LayerParamTreeStore::set_row | ( | Gtk::TreeRow | row,
|  | synfigapp::ValueDesc | value_desc |
| ) |  |  | `[protected, virtual]`

References studio::CanvasTreeStore::set_row().

void LayerParamTreeStore::rebuild | ( |  | ) |

References studio::CanvasTreeStore::Model::canvas, changed(), studio::LayerTree::get_selected_layers(), studio::LayerParamTreeStore::Model::is_inconsistent, model, studio::LayerParamTreeStore::Model::param_desc, and studio::CanvasTreeStore::set_row().

Referenced by LayerParamTreeStore(), and queue_rebuild().

void LayerParamTreeStore::refresh | ( |  | ) |

References refresh_row().

Referenced by queue_refresh().

void LayerParamTreeStore::queue_refresh | ( |  | ) |

References refresh().

Referenced by LayerParamTreeStore().

void LayerParamTreeStore::queue_rebuild | ( |  | ) |

References rebuild().

Referenced by LayerParamTreeStore().

void LayerParamTreeStore::refresh_row | ( | Gtk::TreeModel::Row & | row | ) |

References studio::LayerParamTreeStore::Model::is_inconsistent, studio::LayerParamTreeStore::Model::is_toplevel, model, studio::LayerParamTreeStore::Model::param_desc, and studio::CanvasTreeStore::refresh_row().

Referenced by refresh().

sigc::signal<void>& studio::LayerParamTreeStore::signal_changed | ( |  | ) | `[inline]`

Referenced by LayerParamTreeStore().

void studio::LayerParamTreeStore::changed | ( |  | ) | `[inline]`

Referenced by rebuild().

Glib::RefPtr< LayerParamTreeStore > LayerParamTreeStore::create | ( | etl::loose_handle< synfigapp::CanvasInterface > | canvas_interface_,
|  | LayerTree * | layer_tree |
| ) |  |  | `[static]`

References LayerParamTreeStore().

## Member Data Documentation

Model studio::LayerParamTreeStore::model

Reimplemented from studio::CanvasTreeStore.

Referenced by get_value_vfunc(), rebuild(), refresh_row(), and set_value_impl().

The documentation for this class was generated from the following files:

- layerparamtreestore.h
- layerparamtreestore.cpp